> ## Documentation Index
> Fetch the complete documentation index at: https://developers.telnyx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete an additional document

> Deletes an additional document for a porting order.



## OpenAPI

````yaml https://telnyx-openapi-ng.s3.us-east-1.amazonaws.com/numbers-identity/porting-documents.yml delete /porting_orders/{id}/additional_documents/{additional_document_id}
openapi: 3.1.0
info:
  title: Telnyx Porting Documents API
  version: 2.0.0
  description: API for LOA configurations, templates, and additional documents.
  contact:
    email: support@telnyx.com
servers:
  - url: https://api.telnyx.com/v2
security:
  - bearerAuth: []
paths:
  /porting_orders/{id}/additional_documents/{additional_document_id}:
    delete:
      tags:
        - Porting Orders
      summary: Delete an additional document
      description: Deletes an additional document for a porting order.
      operationId: DeleteAdditionalDocument
      parameters:
        - $ref: '#/components/parameters/PathPortingOrderID'
        - name: additional_document_id
          description: Additional document identification.
          in: path
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '204':
          description: No content
        '401':
          description: Unauthorized
        '404':
          description: Resource not found
      x-codeSamples:
        - lang: JavaScript
          source: >-
            import Telnyx from 'telnyx';


            const client = new Telnyx({
              apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
            });


            await
            client.portingOrders.additionalDocuments.delete('182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
            {
              id: '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
            });
        - lang: Python
          source: |-
            import os
            from telnyx import Telnyx

            client = Telnyx(
                api_key=os.environ.get("TELNYX_API_KEY"),  # This is the default and can be omitted
            )
            client.porting_orders.additional_documents.delete(
                additional_document_id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
                id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
            )
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\n\t\"github.com/team-telnyx/telnyx-go\"\n\t\"github.com/team-telnyx/telnyx-go/option\"\n)\n\nfunc main() {\n\tclient := telnyx.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\terr := client.PortingOrders.AdditionalDocuments.Delete(\n\t\tcontext.TODO(),\n\t\t\"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e\",\n\t\ttelnyx.PortingOrderAdditionalDocumentDeleteParams{\n\t\t\tID: \"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e\",\n\t\t},\n\t)\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n}\n"
        - lang: Java
          source: >-
            package com.telnyx.sdk.example;


            import com.telnyx.sdk.client.TelnyxClient;

            import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;

            import
            com.telnyx.sdk.models.portingorders.additionaldocuments.AdditionalDocumentDeleteParams;


            public final class Main {
                private Main() {}

                public static void main(String[] args) {
                    TelnyxClient client = TelnyxOkHttpClient.fromEnv();

                    AdditionalDocumentDeleteParams params = AdditionalDocumentDeleteParams.builder()
                        .id("182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e")
                        .additionalDocumentId("182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e")
                        .build();
                    client.portingOrders().additionalDocuments().delete(params);
                }
            }
        - lang: Ruby
          source: |-
            require "telnyx"

            telnyx = Telnyx::Client.new(api_key: "My API Key")

            result = telnyx.porting_orders.additional_documents.delete(
              "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
              id: "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e"
            )

            puts(result)
        - lang: PHP
          source: >-
            <?php


            require_once dirname(__DIR__) . '/vendor/autoload.php';


            use Telnyx\Client;

            use Telnyx\Core\Exceptions\APIException;


            $client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API
            Key');


            try {
              $result = $client->portingOrders->additionalDocuments->delete(
                '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
                id: '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
              );

              var_dump($result);
            } catch (APIException $e) {
              echo $e->getMessage();
            }
        - lang: CLI
          source: |-
            telnyx porting-orders:additional-documents delete \
              --api-key 'My API Key' \
              --id 182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e \
              --additional-document-id 182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e
components:
  parameters:
    PathPortingOrderID:
      name: id
      description: Porting Order id
      in: path
      required: true
      schema:
        type: string
        format: uuid
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````